- name: Backup/Restore Data
  k8s:
    api_version: batch/v1
    kind: Job
    name: "{{ job_name }}"
    namespace: "{{ config.nexus.namespace }}"
    wait: yes
    wait_condition:
      type: Complete
      status: True
    wait_timeout: 1000
    definition:
      spec:
        template:
          spec:
            containers:
            - name: busybox
              image: "{{ busybox_image_repository | default('busybox') }}:latest"
              command: "{{ job_command }}"
              volumeMounts:
              - mountPath: /nexus-data
                name: nexus-sonatype-nexus-data
              - mountPath: /backup
                name: nexus-temp-backup
            volumes:
            - name: nexus-temp-backup
              persistentVolumeClaim:
                claimName: nexus-temp-backup
            - name: nexus-sonatype-nexus-data
              persistentVolumeClaim:
                claimName: nexus-sonatype-nexus-data
            restartPolicy: Never
            securityContext:
              runAsUser: 200
              runAsGroup: 200
        backoffLimit: 5

  # Use shell to get the job ánd pod removed, Ansible K8s does not remove pod.
  # We really need to remove the pod because it holds a lock to the PVC.
- name: Remove Job
  shell:
    kubectl delete job {{ job_name }} -n {{ config.nexus.namespace }}
